;==========================================================================================
; Description:      Brain Pain - Game 4 Level 2
; Author(s):        MrBond007 (Baki G)
;					Credits also goes to the authors of Array.au3
;
;					Remember if you like This game and AutoIt Donate to the AutoIt Project:
;					http://www.autoitscript.com/donate.php
;==========================================================================================

#include <Bass.au3>
#NoTrayIcon

Opt("GUIOnEventMode", 1)
Opt("GUICloseOnESC", 0)

If $cmdline[0] > 0 Then
	Switch $cmdline[1]
		Case 'English'
			_getLanguage($objLang, "English")
			IniWrite($languagePath, 'Setting', 'Language', 'English')
		Case 'German'
			_getLanguage($objLang, "German")
			IniWrite($languagePath, 'Setting', 'Language', 'German')
	EndSwitch
Else
	_getLanguage($objLang, "English")
	IniWrite($languagePath, 'Setting', 'Language', 'English')
EndIf

If WinExists(_ObjDictGetValue($objLang, 'GameName')) Then Exit
Local $rRd, $sctot, $Array[12], $xPos = -15, $yPos = 5, $SetC, $Count, $Score, $Label[9]

$Hui = GUICreate(_ObjDictGetValue($objLang, 'GameName'), 555, 410, -1, -1, BitOR($WS_POPUP, $WS_BORDER))
GUISetBkColor(0xFFD046)

GUICtrlCreateGraphic(0, 50, 600, 330)
GUICtrlSetBkColor(-1, 0xFFFFFF)
GUICtrlSetState(-1, $GUI_DISABLE)
GUICtrlCreateGraphic(0, 50, 610, 1)
GUICtrlSetColor(-1, 0x000000)
GUICtrlCreateGraphic(465, 5, 85, 35)
GUICtrlSetColor(-1, 0x4A66FA)
GUICtrlCreateGraphic(0, 380, 610, 1)
GUICtrlSetColor(-1, 0x000000)
GUICtrlCreateLabel(_ObjDictGetValue($objLang, 'Game4Q'), 5, 390, 600, 15)
GUICtrlSetColor(-1, 0x4A66FA)
$Time = GUICtrlCreateLabel("03:00", 475, 7, 65, 25, $SS_CENTER)
GUICtrlSetColor($Time, 0x4A66FA)
GUICtrlSetFont(-1, 20)
$Label2 = GUICtrlCreateLabel("", 235, 10, 225, 25, $SS_CENTER)
GUICtrlSetColor($Label2, 0x4A66FA)
GUICtrlSetFont(-1, 15, 500)
GUISetState()

_PrePare(230, 135, 0x4A66FA)

GUISetOnEvent(-3, "Close")

_PlaySong()

$Label[0] = GUICtrlCreateLabel("", 90, 65, 60, 60, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$Label[1] = GUICtrlCreateLabel("", 240, 65, 60, 60, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$Label[2] = GUICtrlCreateLabel("", 390, 65, 60, 60, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$Label[3] = GUICtrlCreateLabel("", 90, 180, 60, 60, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$Label[4] = GUICtrlCreateLabel("", 240, 180, 60, 60, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$Label[5] = GUICtrlCreateLabel("", 390, 180, 60, 60, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$Label[6] = GUICtrlCreateLabel("", 90, 305, 60, 60, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$Label[7] = GUICtrlCreateLabel("", 240, 305, 60, 60, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$Label[8] = GUICtrlCreateLabel("", 390, 305, 60, 60, BitOR($SS_CENTER, $SS_CENTERIMAGE))
For $i = 0 To UBound($Label) - 1
	GUICtrlSetFont($Label[$i], 35)
	GUICtrlSetBkColor($Label[$i], 0xFFD046)
	GUICtrlSetCursor($Label[$i], 0)
Next

For $m = 1 To 15
	PlayTime()
	Timer()
Next

_Results($Label2, $Score, 2, "G4-L2")
_FlashControl($Label2, 400)
Sleep(1000)
Close()

Func Timer()
	$Count = 2
	While $Count > 0
		For $z = 0 To $Count
			If $SetC = 1 Then $Count = 0
			For $i = 99 To 0 Step - 1
				If $SetC = 1 Then ExitLoop
				If $i < 10 Then $i = "0" & $i
				ControlSetText($Hui, "", $Time, $Count & ":" & $i)
				Sleep(10)
			Next
			$Count -= 1
		Next
	WEnd
	If $SetC <> 1 Then WrongAnW()
EndFunc

Func PlayTime()
	$SetC = 0
	Local $n = 9
	Global $TrA[20], $Swap[9] = [$Label[0], $Label[1], $Label[2], $Label[3], $Label[4], $Label[5], $Label[6], $Label[7], $Label[8]]
	For $i = 0 To UBound($TrA) - 1
		$n += 1
		$TrA[$i] = $n
	Next

	For $i = 0 To 8
		$Ran_D = Random(0, UBound($TrA) - 1, 1)
		$Ran_Y = Random(0, UBound($Swap) - 1, 1)
		GUICtrlSetData($Swap[$Ran_Y], $TrA[$Ran_D])
		GUICtrlSetOnEvent($Swap[$Ran_Y], "WrongAnW")
		_ArrayDelete($TrA, $Ran_D)
		_ArrayDelete($Swap, $Ran_Y)
	Next

	For $i = 0 To UBound($Label) - 1
		If GUICtrlRead($Label[$i]) >= GUICtrlRead($Label[0]) And _
				GUICtrlRead($Label[$i]) >= GUICtrlRead($Label[1]) And _
				GUICtrlRead($Label[$i]) >= GUICtrlRead($Label[2]) And _
				GUICtrlRead($Label[$i]) >= GUICtrlRead($Label[3]) And _
				GUICtrlRead($Label[$i]) >= GUICtrlRead($Label[4]) And _
				GUICtrlRead($Label[$i]) >= GUICtrlRead($Label[5]) And _
				GUICtrlRead($Label[$i]) >= GUICtrlRead($Label[6]) And _
				GUICtrlRead($Label[$i]) >= GUICtrlRead($Label[7]) And _
				GUICtrlRead($Label[$i]) >= GUICtrlRead($Label[8]) Then
			GUICtrlSetOnEvent($Label[$i], "CorrectAnW")
			ConsoleWrite(GUICtrlRead($Label[$i]) & @CRLF)
		EndIf
	Next
EndFunc

Func CorrectAnW()
	For $i = 0 To UBound($Label) - 1
		GUICtrlSetOnEvent($Label[$i], "")
	Next
	$SetC = 1
	If $xPos = 185 Then
		$xPos = -15
		$yPos += 20
	EndIf
	$xPos += 20
	$AddPic = GUICtrlCreatePic($PicPath & "Correct.bmp", $xPos, $yPos, 16, 16)
	SoundPlay($SoundPath & "Correct.wav")
	GUICtrlSetData($Time, "03:00")
	_FlashControl($AddPic, 300)
	$Score += 1
EndFunc

Func WrongAnW()
	For $i = 0 To UBound($Label) - 1
		GUICtrlSetOnEvent($Label[$i], "")
	Next
	$SetC = 1
	If $xPos = 185 Then
		$xPos = -15
		$yPos += 20
	EndIf
	$xPos += 20
	$AddPic = GUICtrlCreatePic($PicPath & "False.bmp", $xPos, $yPos, 16, 16)
	SoundPlay($SoundPath & "False.wav")
	GUICtrlSetData($Time, "03:00")
	_FlashControl($AddPic, 300)
EndFunc