;==========================================================================================
; Description:      Brain Pain - Game 8 Level 1
; Author(s):        MrBond007 (Baki G)
;					Credits also goes to the authors of Array.au3
;
;					Remember if you like This game and AutoIt Donate to the AutoIt Project:
;					http://www.autoitscript.com/donate.php
;==========================================================================================

#include <Bass.au3>
#NoTrayIcon

Opt("GUIOnEventMode", 1)
Opt("GUICloseOnESC", 0)

If $cmdline[0] > 0 Then
	Switch $cmdline[1]
		Case 'English'
			_getLanguage($objLang, "English")
			IniWrite($languagePath, 'Setting', 'Language', 'English')
		Case 'German'
			_getLanguage($objLang, "German")
			IniWrite($languagePath, 'Setting', 'Language', 'German')
	EndSwitch
Else
	_getLanguage($objLang, "English")
	IniWrite($languagePath, 'Setting', 'Language', 'English')
EndIf

If WinExists(_ObjDictGetValue($objLang, 'GameName')) Then Exit

Local $count, $SetC, $count, $xPos = -15, $score, $Array[9], $ArrLab[4]
$Hui = GUICreate("", 555, 410, -1, -1, BitOR($WS_POPUP, $WS_BORDER))
GUISetBkColor(0xFFD046)

GUICtrlCreateGraphic(0, 46, 600, 335)
GUICtrlSetBkColor(-1, 0xFFFFFF)
GUICtrlSetState(-1, $GUI_DISABLE)
GUICtrlCreateGraphic(0, 45, 610, 1)
GUICtrlSetColor(-1, 0x000000)
GUICtrlCreateGraphic(0, 380, 610, 1)
GUICtrlSetColor(-1, 0x000000)
GUICtrlCreateGraphic(465, 5, 85, 35)
GUICtrlSetColor(-1, 0x4A66FA)
$Time = GUICtrlCreateLabel("05:00", 475, 7, 65, 25, $SS_CENTER)
GUICtrlSetColor($Time, 0x4A66FA)
GUICtrlSetFont(-1, 20)
GUICtrlCreateLabel(_ObjDictGetValue($objLang, 'Game8Q'), 5, 390, 120, 20)
GUICtrlSetColor(-1, 0x4A66FA)
GUICtrlCreateLabel(_ObjDictGetValue($objLang, 'ChooseAnAnwser'), 415, 390, 135, 20)
GUICtrlSetColor(-1, 0x4A66FA)
$label2 = GUICtrlCreateLabel("", 250, 10, 175, 25, $SS_CENTER)
GUICtrlSetColor($label2, 0x4A66FA)
GUICtrlSetFont(-1, 15, 500)
GUISetState()

_PrePare(230, 135, 0x4A66FA)

GUISetOnEvent(-3, "Close")

GUICtrlCreateGraphic(5, 110, 200, 190)
GUICtrlSetColor(-1, 0x000000)
GUICtrlCreateGraphic(415, 110, 135, 190)
GUICtrlSetColor(-1, 0x000000)
GUICtrlSetState(-1, $GUI_DISABLE)

$ArrLab[0] = GUICtrlCreateLabel("", 420, 140, 50, 40, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$ArrLab[1] = GUICtrlCreateLabel("", 495, 140, 50, 40, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$ArrLab[2] = GUICtrlCreateLabel("", 420, 230, 50, 40, BitOR($SS_CENTER, $SS_CENTERIMAGE))
$ArrLab[3] = GUICtrlCreateLabel("", 495, 230, 50, 40, BitOR($SS_CENTER, $SS_CENTERIMAGE))
For $o = 0 To UBound($ArrLab) - 1
	GUICtrlSetFont($ArrLab[$o], 15, 750)
	GUICtrlSetBkColor($ArrLab[$o], 0x00C663)
	GUICtrlSetCursor($ArrLab[$o], 0)
Next

_PlaySong()

For $i = 1 To 10
	PlayTime()
	Timer()
Next

_Results($Label2, $Score, 1, "G8-L1")
_FlashControl($label2, 400)
Sleep(1000)
Close()

Func PlayTime()
	$SetC = 0
	$count = ""
	For $i = 0 To UBound($Array) - 1
		GUICtrlDelete($Array[$i])
	Next
	Global $ArrPos[9] = ["10,120", "80,120", "150,120", "10,180", "80,180", "150,180", "10,240", "80,240", "150,240"]
	$Ran_D = Random(1, 9, 1)
	$Value = Random(3, 6, 1)
	For $i = 1 To $Value
		$Ran_Y = Random(0, UBound($ArrPos) - 1, 1)
		$Split = StringSplit($ArrPos[$Ran_Y], ",")
		$Array[$i] = GUICtrlCreatePic($NumberPath & $Ran_D & ".gif", $Split[1], $Split[2], 50, 50)
		_ArrayDelete($ArrPos, $Ran_Y)
		$count += $Ran_D
	Next
	For $o = 0 To UBound($ArrLab) - 1
		GUICtrlSetOnEvent($ArrLab[$o], "WrongAnW")
	Next
	$PosR = Random(1, 4, 1)
	If $PosR = 1 Then
		GUICtrlSetData($ArrLab[0], $count)
		GUICtrlSetOnEvent($ArrLab[0], "CorrectAnW")
		GUICtrlSetData($ArrLab[1], $count - 2)
		GUICtrlSetData($ArrLab[2], $count + 3)
		GUICtrlSetData($ArrLab[3], $count + 10)
	ElseIf $PosR = 2 Then
		GUICtrlSetData($ArrLab[0], $count - 2)
		GUICtrlSetData($ArrLab[1], $count)
		GUICtrlSetOnEvent($ArrLab[1], "CorrectAnW")
		GUICtrlSetData($ArrLab[2], $count + 3)
		GUICtrlSetData($ArrLab[3], $count + 10)
	ElseIf $PosR = 3 Then
		GUICtrlSetData($ArrLab[0], $count - 2)
		GUICtrlSetData($ArrLab[1], $count + 3)
		GUICtrlSetData($ArrLab[2], $count)
		GUICtrlSetOnEvent($ArrLab[2], "CorrectAnW")
		GUICtrlSetData($ArrLab[3], $count + 10)
	ElseIf $PosR = 4 Then
		GUICtrlSetData($ArrLab[0], $count - 2)
		GUICtrlSetData($ArrLab[1], $count + 3)
		GUICtrlSetData($ArrLab[2], $count + 10)
		GUICtrlSetData($ArrLab[3], $count)
		GUICtrlSetOnEvent($ArrLab[3], "CorrectAnW")
	EndIf
EndFunc

Func Timer()
	$count = 4
	While $count > 0
		For $z = 0 To $count
			If $SetC = 1 Then $count = 0
			For $i = 99 To 0 Step - 1
				If $SetC = 1 Then ExitLoop
				If $i < 10 Then $i = "0" & $i
				ControlSetText($Hui, "", $Time, $count & ":" & $i)
				Sleep(10)
			Next
			$count -= 1
		Next
	WEnd
	If $SetC <> 1 Then WrongAnW()
EndFunc

Func CorrectAnW()
	For $i = 0 To UBound($ArrLab) - 1
		GUICtrlSetOnEvent($ArrLab[$i], "")
	Next
	$SetC = 1
	$xPos += 20
	$AddPic = GUICtrlCreatePic($PicPath & "Correct.bmp", $xPos, 15, 16, 16)
	SoundPlay($SoundPath & "Correct.wav")
	GUICtrlSetData($Time, "05:00")
	_FlashControl($AddPic, 300)
	$score += 1
EndFunc

Func WrongAnW()
	For $i = 0 To UBound($ArrLab) - 1
		GUICtrlSetOnEvent($ArrLab[$i], "")
	Next
	$SetC = 1
	$xPos += 20
	$AddPic = GUICtrlCreatePic($PicPath & "False.bmp", $xPos, 15, 16, 16)
	SoundPlay($SoundPath & "False.wav")
	GUICtrlSetData($Time, "05:00")
	_FlashControl($AddPic, 300)
EndFunc