;==========================================================================================
; Description:      Brain Pain - Game 14 Level 2
; Author(s):        MrBond007 (Baki G)
;					Credits also goes to the authors of Array.au3
;
;					Remember if you like This game and AutoIt Donate to the AutoIt Project:
;					http://www.autoitscript.com/donate.php
;==========================================================================================

#include <Bass.au3>
#NoTrayIcon

Opt("GUIOnEventMode", 1)
Opt("GUICloseOnESC", 0)

If $cmdline[0] > 0 Then
	Switch $cmdline[1]
		Case 'English'
			_getLanguage($objLang, "English")
			IniWrite($languagePath, 'Setting', 'Language', 'English')
		Case 'German'
			_getLanguage($objLang, "German")
			IniWrite($languagePath, 'Setting', 'Language', 'German')
	EndSwitch
Else
	_getLanguage($objLang, "English")
	IniWrite($languagePath, 'Setting', 'Language', 'English')
EndIf

If WinExists(_ObjDictGetValue($objLang, 'GameName')) Then Exit
Local $xPos = -15, $yPos = 5, $SetC, $Count, $Score, $PkA[4], $PcA[4], $REle = Random(0, 10, 1)
Local $Amount[11] = ["15", "33", "23", "30", "30", "28", "15", "30", "21", "28", "34"]
Local $Path[11] = ["Adobe\", "Animated\", "Emotions\", "Software1\", "Software2\", _
		"Wabbit\", "Animals\", "Food\", "Fruit\", "Funny\", "Jap\"]
Local $PicWH[2][11] = [["55", "50", "50", "50", "50", "50", "62", "43", "56", "44", "40"], _
		["55", "50", "50", "50", "50", "50", "62", "43", "58", "49", "52"]]
Local $GUICW[2][11] = [["0xFFFFFF", "0xFFFFFF", "0xFFFFFF", "0xFFFFFF", "0xFFFFFF", "0xFFFFFF", _
		"0x000000", "0x000000", "0x000000", "0x000000", "0x000000"], _
		["555", "555", "555", "555", "555", "555", "560", "545", "560", "545", "540"]]

$Hui = GUICreate("Brain Pain", $GUICW[1][$REle], 410, -1, -1, BitOR($WS_POPUP, $WS_BORDER))
GUISetBkColor(0xFFD046)

GUICtrlCreateGraphic(0, 46, $GUICW[1][$REle], 335)
GUICtrlSetBkColor(-1, 0x000000)
GUICtrlSetState(-1, $GUI_DISABLE)
GUICtrlSetBkColor(-1, $GUICW[0][$REle])

$Gr0 = GUICtrlCreateGraphic($GUICW[1][$REle] - 90, 5, 85, 35)
GUICtrlSetColor(-1, 0x000000)
$Gr1 = GUICtrlCreateGraphic(0, 45, $GUICW[1][$REle], 1)
GUICtrlSetColor(-1, 0x000000)
$Gr2 = GUICtrlCreateGraphic(0, 380, $GUICW[1][$REle], 1)
GUICtrlSetColor(-1, 0x000000)
$Label1 = GUICtrlCreateLabel(_ObjDictGetValue($objLang, 'Game14Q'), 5, 390, 600, 15)
GUICtrlSetColor(-1, 0x4A66FA)
$Time = GUICtrlCreateLabel("04:00", $GUICW[1][$REle] - 80, 7, 65, 25, $SS_CENTER)
GUICtrlSetFont(-1, 20)
GUICtrlSetColor(-1, 0x4A66FA)
$Label2 = GUICtrlCreateLabel("", 225, 10, 175, 25, $SS_CENTER)
GUICtrlSetFont(-1, 15, 500)
GUICtrlSetColor(-1, 0x4A66FA)

GUISetState()

$Grr = GUICtrlCreateGraphic($GUICW[1][$REle] - 280, 45, 1, 335)
If $REle > 5 Then
	_PrePare(($GUICW[1][$REle]) - 320, 135, 0xFFFFFF)
	GUICtrlSetColor($Grr, 0xFFFFFF)
Else
	_PrePare(($GUICW[1][$REle]) - 320, 135, 0x000000)
	GUICtrlSetColor($Grr, 0x000000)
EndIf

GUISetOnEvent(-3, "Close")

_PlaySong()

For $p = 1 To 15
	PlayTime()
	Timer()
Next

_Results($Label2, $Score, 2, "G14-L2")
_FlashControl($Label2, 400)
Sleep(1000)
Close()

Func Timer()
	$Count = 3
	While $Count > 0
		For $z = 0 To $Count
			If $SetC = 1 Then $Count = 0
			For $i = 99 To 0 Step - 1
				If $SetC = 1 Then ExitLoop
				If $i < 10 Then $i = "0" & $i
				ControlSetText($Hui, "", $Time, $Count & ":" & $i)
				Sleep(10)
			Next
			$Count -= 1
		Next
	WEnd
	If $SetC <> 1 Then WrongAnW()
EndFunc

Func PlayTime()
	$SetC = 0
	Global $Array[9] = ["300,100", "380,100", "460,100", _
			"300,180", "380,180", "460,180", _
			"300,260", "380,260", "460,260"]
	Global $TrA[$Amount[$REle]], $PkA[4]
	For $i = 0 To $Amount[$REle] - 1
		$TrA[$i] = $i + 1
	Next

	For $i = 0 To 3
		$Ran_D = Random(0, UBound($TrA) - 1, 1)
		$Ran_Y = Random(0, UBound($Array) - 1, 1)
		$Split = StringSplit($Array[$Ran_Y], ",")
		$PcA[$i] = GUICtrlCreatePic($PicPath & $Path[$REle] & $TrA[$Ran_D] & ".bmp", _
				100, 175, $PicWH[0][$REle], $PicWH[1][$REle])
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetState($PcA[$i], $GUI_HIDE)
		$PkA[$i] = GUICtrlCreatePic($PicPath & $Path[$REle] & $TrA[$Ran_D] & ".bmp", _
				$Split[1], $Split[2], $PicWH[0][$REle], $PicWH[1][$REle])
		GUICtrlSetCursor(-1, 0)
		GUICtrlSetState($PkA[$i], $GUI_HIDE)
		_ArrayDelete($Array, $Ran_Y)
		_ArrayDelete($TrA, $Ran_D)
	Next
	GUICtrlDelete($PcA[3])

	For $i = 0 To 2
		GUICtrlSetState($PcA[$i], $GUI_SHOW)
		Sleep(1000)
		GUICtrlSetState($PcA[$i], $GUI_HIDE)
		Sleep(1000)
	Next

	For $i = 0 To 3
		GUICtrlSetState($PkA[$i], $GUI_SHOW)
	Next
	GUICtrlSetOnEvent($PkA[0], "WrongAnw")
	GUICtrlSetOnEvent($PkA[1], "WrongAnw")
	GUICtrlSetOnEvent($PkA[2], "WrongAnw")
	GUICtrlSetOnEvent($PkA[3], "CorrectAnw")
EndFunc

Func CorrectAnW()
	For $a = 0 To 3
		GUICtrlSetState($PkA[$a], $GUI_DISABLE)
		GUICtrlDelete($PcA[$a])
	Next
	$SetC = 1
	If $xPos = 185 Then
		$xPos = -15
		$yPos += 20
	EndIf
	$xPos += 20
	$AddPic = GUICtrlCreatePic($PicPath & "Correct.bmp", $xPos, $yPos, 16, 16)
	SoundPlay($SoundPath & "Correct.wav")
	GUICtrlSetData($Time, "04:00")
	_FlashControl($AddPic, 300)
	$Score += 1
	For $a = 0 To UBound($PkA)-1
		GUICtrlDelete($PkA[$a])
	Next
EndFunc

Func WrongAnW()
	For $a = 0 To 3
		GUICtrlSetState($PkA[$a], $GUI_DISABLE)
		GUICtrlDelete($PcA[$a])
	Next
	$SetC = 1
	If $xPos = 185 Then
		$xPos = -15
		$yPos += 20
	EndIf
	$xPos += 20
	$AddPic = GUICtrlCreatePic($PicPath & "False.bmp", $xPos, $yPos, 16, 16)
	SoundPlay($SoundPath & "False.wav")
	GUICtrlSetData($Time, "04:00")
	_FlashControl($AddPic, 300)
	For $a = 0 To UBound($PkA)-1
		GUICtrlDelete($PkA[$a])
	Next
EndFunc